TCA Reference - Feature # 55188

Status: Closed Priority: Should have
Author: Oliver Hader Category:

Created: 2014-01-20 Assigned To: Francois Suter
Updated: 2014-08-01 Due date:

Subiject: Allow unique evaulation for TCA type 'check’

Description

The 'eval' property can have 'unique' and 'uniquelnPid’ for TCA type 'check' as well

Related issues:
blocked by Core - Task # 55187: Allow unique evaulation for TCA type 'check’ Resolved 2014-01-20

Associated revisions

Revision 6f09ac38 - 2014-02-27 18:19 - Francois Suter
[FEATURE] Maximum records checked for checkboxes

Document new eval properties for check-type records
"maximumRecordsChecked" and "maximumRecordsCheckedInPid"

and the related "validation" property.

Resolves: #55188
Releases: 6.2

Change-Id: 12f5d05c44c62d16385869154a04e96d00e59cd2f
Reviewed-on: https://review.typo3.0rg/27913

Reviewed-by: Francois Suter
Tested-by: Francois Suter

History

#1 - 2014-02-02 14:48 - Benjamin Mack

| changed the namings as it avoids confusion with the existing eval method "unique" and "uniquelnPid".

$tcaFieldConf = array(
'type' => 'check’,
‘eval' => 'maximumRecordsChecked',
'validation' => array(
'maximumRecordsChecked' => 5
)
);

what you can do is this:
Say you have a checkbox (type=check) in a TCA table. Let's say we call it "Is important news" - the new option like configured above allows to set
maximum of 5 records with a checkbox like this. When editing record #6, the checkbox on that record will be set to 0. You need to uncheck the field in

another record first in order to set the checkbox on record #6.

| also provided a new array "validation" for the configuration, so "is_in" validation information could be moved there as well.
Note: This only works for checkboxes.

#2 - 2014-02-02 14:48 - Benjamin Mack

We have "maximumRecordsChecked" and "maximumRecordsCheckedInPid" for that option.

#3 - 2014-02-27 17:34 - Francois Suter
- Status changed from New to Accepted
- Assigned To set to Francois Suter

- Target version set to 6.2.0

#4 - 2014-02-27 18:19 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Documentation/TYPO3/Reference/Tca has been pushed to the review server.

It is available at https://review.typo3.0rg/27913

#5 - 2014-02-27 18:35 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6f09ac383fc3ff8f7aeb12f1e13a984f0fcOd1a2.

#6 - 2014-08-01 14:22 - Francois Suter
- Status changed from Resolved to Closed
